Represents a variable for a content template. See ContentTemplate.variables.

### Hierarchy

- ContentTemplateVariable

## Index

### Constructors

- constructor

### Properties

- name
- value

### Methods

- copyWithValue

## Constructors

### constructor

- new ContentTemplateVariable(name: string, value: string): ContentTemplateVariable

- #### Parameters

  - ##### name: string

  - ##### value: string

  #### Returns ContentTemplateVariable

## Properties

### Readonly name

name: string

### Readonly value

value: string

## Methods

### copyWithValue

- copyWithValue(value: string): ContentTemplateVariable

- Copies the variable with a new value.

  #### Parameters

  - ##### value: string

    The new value for the variable.

  #### Returns ContentTemplateVariable